NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::WeldBuilder Class Reference

Represents a NXOpen::CAE::WeldBuilder
To create a new instance of this class, use NXOpen::CAE::MeshManager::CreateWeldBuilder

Created in NX7.5.2. More...

Inheritance diagram for NXOpen::CAE::WeldBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  NumberOfPointsOnEdgeType { NumberOfPointsOnEdgeTypeMaximumNumber, NumberOfPointsOnEdgeTypeSpecifiedNumber }
 Represents the options for specifying maximum number of weld points on an edge. More...
 
enum  PointOnEdgeType { PointOnEdgeTypeByNumber, PointOnEdgeTypeByDistance, PointOnEdgeTypeByPattern }
 Represents the options for specifying number of weld points on an edge. More...
 
enum  WeldLocation { WeldLocationPoint, WeldLocationFile, WeldLocationEdge, WeldLocationNode }
 Represents the options for type of operation. More...
 

Public Member Functions

NXOpen::ExpressionDistanceBetween ()
 Returns the distance between the points on the edge(s) used to specify the location of the weld
Created in NX7.5.2. More...
 
NXOpen::SelectTaggedObjectListEdgeSelection ()
 Returns the edge(s) used to specify the location of the weld
Created in NX7.5.2. More...
 
NXOpen::CAE::ElementTypeBuilderElementType ()
 Returns the element type to be created for the weld
Created in NX7.5.2. More...
 
NXOpen::ExpressionEndOffset ()
 Returns the distance of the last point from the end of the edge(s)
Created in NX7.5.4. More...
 
int FlipState ()
 Returns the flip state of the selected edge(s)
Created in NX7.5.4. More...
 
NXString InputFile ()
 Returns the name of the input file used to specify locations for the weld
Created in NX7.5.2. More...
 
NXOpen::CAE::WeldBuilder::WeldLocation Location ()
 Returns the location of the specified weld
Created in NX7.5.2. More...
 
NXOpen::CAE::SelectFENodeListNodeSelection ()
 Returns the node(s) used to specify the location of the weld
Created in NX7.5.2. More...
 
int NumberOfPointsOnEdge ()
 Returns the number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.2. More...
 
NXOpen::CAE::WeldBuilder::NumberOfPointsOnEdgeType NumberOfPointsOption ()
 Returns the option to specify the maximum number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.4. More...
 
NXOpen::ExpressionOffsetDistance ()
 Returns the distance to offset the points from the edge(s)
Created in NX7.5.4. More...
 
NXOpen::DirectionOffsetVector ()
 Returns the vector along which to offset the points
Created in NX7.5.4. More...
 
NXString Pattern ()
 Returns the pattern used to specify locations on the edge(s)
Created in NX7.5.4. More...
 
NXOpen::CAE::WeldBuilder::PointOnEdgeType PointOnEdgeOption ()
 Returns the location of the points on the edge
Created in NX7.5.2. More...
 
NXOpen::SelectTaggedObjectListPointsSelection ()
 Returns the point(s) used to specify the location of the weld
Created in NX7.5.2. More...
 
NXOpen::ExpressionSearchDistance ()
 Returns the distance within which to search for PIDs
Created in NX7.5.2. More...
 
void SetFlipState (int flipState)
 Sets the flip state of the selected edge(s)
Created in NX7.5.4. More...
 
void SetInputFile (const NXString &inputFile)
 Sets the name of the input file used to specify locations for the weld
Created in NX7.5.2. More...
 
void SetInputFile (const char *inputFile)
 Sets the name of the input file used to specify locations for the weld
Created in NX7.5.2. More...
 
void SetLocation (NXOpen::CAE::WeldBuilder::WeldLocation location)
 Sets the location of the specified weld
Created in NX7.5.2. More...
 
void SetNumberOfPointsOnEdge (int numberOfPoints)
 Sets the number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.2. More...
 
void SetNumberOfPointsOption (NXOpen::CAE::WeldBuilder::NumberOfPointsOnEdgeType pointOnEdgeOption)
 Sets the option to specify the maximum number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.4. More...
 
void SetOffsetVector (NXOpen::Direction *offsetVector)
 Sets the vector along which to offset the points
Created in NX7.5.4. More...
 
void SetPattern (const NXString &pattern)
 Sets the pattern used to specify locations on the edge(s)
Created in NX7.5.4. More...
 
void SetPattern (const char *pattern)
 Sets the pattern used to specify locations on the edge(s)
Created in NX7.5.4. More...
 
void SetPointOnEdgeOption (NXOpen::CAE::WeldBuilder::PointOnEdgeType pointOnEdgeOption)
 Sets the location of the points on the edge
Created in NX7.5.2. More...
 
void SetSpecifiedNumberOfPoints (int specifiedNumberOfPoints)
 Sets the maximum number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.4. More...
 
void SetSupportAllPids (bool isSupportAllPids)
 Sets the option to include all PIDs within the search distance for creating welds
Created in NX7.5.2. More...
 
int SpecifiedNumberOfPoints ()
 Returns the maximum number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.4. More...
 
NXOpen::ExpressionStartOffset ()
 Returns the distance of the first point from the beginning of the edge(s)
Created in NX7.5.4. More...
 
bool SupportAllPids ()
 Returns the option to include all PIDs within the search distance for creating welds
Created in NX7.5.2. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::WeldBuilder
To create a new instance of this class, use NXOpen::CAE::MeshManager::CreateWeldBuilder

Created in NX7.5.2.


Member Enumeration Documentation

Represents the options for specifying maximum number of weld points on an edge.

Enumerator
NumberOfPointsOnEdgeTypeMaximumNumber 

Create the maximum number of points on an edge.

NumberOfPointsOnEdgeTypeSpecifiedNumber 

Specify the number of points to be created on an edge.

Represents the options for specifying number of weld points on an edge.

Enumerator
PointOnEdgeTypeByNumber 

Specify the number of weld points to be created on an edge.

PointOnEdgeTypeByDistance 

Specify the distance between weld points created on an edge.

PointOnEdgeTypeByPattern 

Specify the distance between weld points as a pattern.

Represents the options for type of operation.

Enumerator
WeldLocationPoint 

Creates a weld at locations specified using points.

WeldLocationFile 

Creates a weld at locations specified in an input file.

WeldLocationEdge 

Creates a weld at locations on an edge.

WeldLocationNode 

Creates a weld at locations specified using nodes.

Member Function Documentation

NXOpen::Expression* NXOpen::CAE::WeldBuilder::DistanceBetween ( )

Returns the distance between the points on the edge(s) used to specify the location of the weld
Created in NX7.5.2.



License requirements : None

NXOpen::SelectTaggedObjectList* NXOpen::CAE::WeldBuilder::EdgeSelection ( )

Returns the edge(s) used to specify the location of the weld
Created in NX7.5.2.



License requirements : None

NXOpen::CAE::ElementTypeBuilder* NXOpen::CAE::WeldBuilder::ElementType ( )

Returns the element type to be created for the weld
Created in NX7.5.2.



License requirements : None

NXOpen::Expression* NXOpen::CAE::WeldBuilder::EndOffset ( )

Returns the distance of the last point from the end of the edge(s)
Created in NX7.5.4.



License requirements : None

int NXOpen::CAE::WeldBuilder::FlipState ( )

Returns the flip state of the selected edge(s)
Created in NX7.5.4.



License requirements : nx_masterfem ("Finite Element Modeling")

NXString NXOpen::CAE::WeldBuilder::InputFile ( )

Returns the name of the input file used to specify locations for the weld
Created in NX7.5.2.



License requirements : None

NXOpen::CAE::WeldBuilder::WeldLocation NXOpen::CAE::WeldBuilder::Location ( )

Returns the location of the specified weld
Created in NX7.5.2.



License requirements : None

NXOpen::CAE::SelectFENodeList* NXOpen::CAE::WeldBuilder::NodeSelection ( )

Returns the node(s) used to specify the location of the weld
Created in NX7.5.2.



License requirements : None

int NXOpen::CAE::WeldBuilder::NumberOfPointsOnEdge ( )

Returns the number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.2.



License requirements : None

NXOpen::CAE::WeldBuilder::NumberOfPointsOnEdgeType NXOpen::CAE::WeldBuilder::NumberOfPointsOption ( )

Returns the option to specify the maximum number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.4.



License requirements : None

NXOpen::Expression* NXOpen::CAE::WeldBuilder::OffsetDistance ( )

Returns the distance to offset the points from the edge(s)
Created in NX7.5.4.



License requirements : None

NXOpen::Direction* NXOpen::CAE::WeldBuilder::OffsetVector ( )

Returns the vector along which to offset the points
Created in NX7.5.4.



License requirements : None

NXString NXOpen::CAE::WeldBuilder::Pattern ( )

Returns the pattern used to specify locations on the edge(s)
Created in NX7.5.4.



License requirements : None

NXOpen::CAE::WeldBuilder::PointOnEdgeType NXOpen::CAE::WeldBuilder::PointOnEdgeOption ( )

Returns the location of the points on the edge
Created in NX7.5.2.



License requirements : None

NXOpen::SelectTaggedObjectList* NXOpen::CAE::WeldBuilder::PointsSelection ( )

Returns the point(s) used to specify the location of the weld
Created in NX7.5.2.



License requirements : None

NXOpen::Expression* NXOpen::CAE::WeldBuilder::SearchDistance ( )

Returns the distance within which to search for PIDs
Created in NX7.5.2.



License requirements : None

void NXOpen::CAE::WeldBuilder::SetFlipState ( int  flipState)

Sets the flip state of the selected edge(s)
Created in NX7.5.4.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
flipStateflipstate
void NXOpen::CAE::WeldBuilder::SetInputFile ( const NXString inputFile)

Sets the name of the input file used to specify locations for the weld
Created in NX7.5.2.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
inputFileinputfile
void NXOpen::CAE::WeldBuilder::SetInputFile ( const char *  inputFile)

Sets the name of the input file used to specify locations for the weld
Created in NX7.5.2.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
inputFileinputfile
void NXOpen::CAE::WeldBuilder::SetLocation ( NXOpen::CAE::WeldBuilder::WeldLocation  location)

Sets the location of the specified weld
Created in NX7.5.2.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
locationlocation
void NXOpen::CAE::WeldBuilder::SetNumberOfPointsOnEdge ( int  numberOfPoints)

Sets the number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.2.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
numberOfPointsnumberofpoints
void NXOpen::CAE::WeldBuilder::SetNumberOfPointsOption ( NXOpen::CAE::WeldBuilder::NumberOfPointsOnEdgeType  pointOnEdgeOption)

Sets the option to specify the maximum number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.4.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
pointOnEdgeOptionpointonedgeoption
void NXOpen::CAE::WeldBuilder::SetOffsetVector ( NXOpen::Direction offsetVector)

Sets the vector along which to offset the points
Created in NX7.5.4.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
offsetVectoroffsetvector
void NXOpen::CAE::WeldBuilder::SetPattern ( const NXString pattern)

Sets the pattern used to specify locations on the edge(s)
Created in NX7.5.4.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
patternpattern
void NXOpen::CAE::WeldBuilder::SetPattern ( const char *  pattern)

Sets the pattern used to specify locations on the edge(s)
Created in NX7.5.4.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
patternpattern
void NXOpen::CAE::WeldBuilder::SetPointOnEdgeOption ( NXOpen::CAE::WeldBuilder::PointOnEdgeType  pointOnEdgeOption)

Sets the location of the points on the edge
Created in NX7.5.2.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
pointOnEdgeOptionpointonedgeoption
void NXOpen::CAE::WeldBuilder::SetSpecifiedNumberOfPoints ( int  specifiedNumberOfPoints)

Sets the maximum number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.4.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
specifiedNumberOfPointsspecifiednumberofpoints
void NXOpen::CAE::WeldBuilder::SetSupportAllPids ( bool  isSupportAllPids)

Sets the option to include all PIDs within the search distance for creating welds
Created in NX7.5.2.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
isSupportAllPidsissupportallpids
int NXOpen::CAE::WeldBuilder::SpecifiedNumberOfPoints ( )

Returns the maximum number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.4.



License requirements : None

NXOpen::Expression* NXOpen::CAE::WeldBuilder::StartOffset ( )

Returns the distance of the first point from the beginning of the edge(s)
Created in NX7.5.4.



License requirements : None

bool NXOpen::CAE::WeldBuilder::SupportAllPids ( )

Returns the option to include all PIDs within the search distance for creating welds
Created in NX7.5.2.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.